1. MiniPOS Shift Data API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
      • New Sales Invoice - Basic
      • New Refund Invoice - Basic
      • New Sales Invoice - Advanced
      • New Sales Invoice + Slip after payment
      • New Non fiscal slip
      • Get Invoice List
      • Get Invoice by ID
  • CRMserver
    • MiniPOS Products API
      • GET Products List
      • GET Product by ID
      • DELETE Product by ID
      • Change Product by ID
      • Create new Product Basic
      • Create new Product Advanced
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
        GET
      • GET receipts
        GET
  1. MiniPOS Shift Data API

GET receipts

GET
/api/receipts

Request

Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/receipts?pos_id=1&z_number=2'
Response Response Example
[
    {
        "id": 1,
        "document_id": "8",
        "mode": 1,
        "state": 1,
        "start_time": "2025-08-20T11:35:52.263001+03:00",
        "print_time": "2025-08-20T11:35:56.324766+03:00",
        "neto_amount": 4.13,
        "bruto_amount": 5,
        "changed_amount": 0,
        "tax_amount": 0.87,
        "discount": 0,
        "discount_type": null,
        "discount_amount": 0,
        "station": 1,
        "station_name": "POS1",
        "station_pos_id": "1",
        "cashier": null,
        "z_number": 2,
        "rows": [
            {
                "id": 1,
                "product": null,
                "product_id": null,
                "product_name": "Prece 1",
                "product_code": "1",
                "barcode": null,
                "category_name": "Preces",
                "price": 1,
                "tax_rate": 21,
                "discount": 0,
                "discount_type": null,
                "discount_amount": 0,
                "quantity": 5,
                "amount": 5,
                "max_quantity": 5,
                "max_amount": 5,
                "receipt": 1,
                "category": 1,
                "tax": 0
            }
        ],
        "payments": [
            {
                "id": 1,
                "method_name": "Skaidrā nauda",
                "method_code": 0,
                "amount": 5,
                "request_id": null,
                "transaction_id": null,
                "psp_reference": null,
                "poiid": null,
                "sale_id": null,
                "card_no": null,
                "receipt": 1,
                "method": 1
            }
        ]
    },
    {
        "id": 2,
        "document_id": "9",
        "mode": 1,
        "state": 1,
        "start_time": "2025-08-20T11:36:01.715629+03:00",
        "print_time": "2025-08-20T11:36:08.215291+03:00",
        "neto_amount": 4.13,
        "bruto_amount": 5,
        "changed_amount": 0,
        "tax_amount": 0.87,
        "discount": 0,
        "discount_type": null,
        "discount_amount": 0,
        "station": 1,
        "station_name": "POS1",
        "station_pos_id": "1",
        "cashier": null,
        "z_number": 2,
        "rows": [
            {
                "id": 2,
                "product": null,
                "product_id": null,
                "product_name": "Prece 1",
                "product_code": "1",
                "barcode": null,
                "category_name": "Preces",
                "price": 1,
                "tax_rate": 21,
                "discount": 0,
                "discount_type": null,
                "discount_amount": 0,
                "quantity": 5,
                "amount": 5,
                "max_quantity": 5,
                "max_amount": 5,
                "receipt": 2,
                "category": 1,
                "tax": 0
            }
        ],
        "payments": [
            {
                "id": 2,
                "method_name": "Pārskaitījums",
                "method_code": 2,
                "amount": 5,
                "request_id": null,
                "transaction_id": null,
                "psp_reference": null,
                "poiid": null,
                "sale_id": null,
                "card_no": null,
                "receipt": 2,
                "method": 3
            }
        ]
    },
    {
        "id": 3,
        "document_id": "13",
        "mode": 1,
        "state": 1,
        "start_time": "2025-08-20T11:39:28.989616+03:00",
        "print_time": "2025-08-20T11:39:34.856237+03:00",
        "neto_amount": 9.09,
        "bruto_amount": 11,
        "changed_amount": 0,
        "tax_amount": 1.91,
        "discount": 0,
        "discount_type": null,
        "discount_amount": 0,
        "station": 1,
        "station_name": "POS1",
        "station_pos_id": "1",
        "cashier": null,
        "z_number": 2,
        "rows": [
            {
                "id": 3,
                "product": null,
                "product_id": null,
                "product_name": "Prece 1",
                "product_code": "1",
                "barcode": null,
                "category_name": "Preces",
                "price": 1,
                "tax_rate": 21,
                "discount": 0,
                "discount_type": null,
                "discount_amount": 0,
                "quantity": 11,
                "amount": 11,
                "max_quantity": 11,
                "max_amount": 11,
                "receipt": 3,
                "category": 1,
                "tax": 0
            }
        ],
        "payments": [
            {
                "id": 3,
                "method_name": "Skaidrā nauda",
                "method_code": 0,
                "amount": 11,
                "request_id": null,
                "transaction_id": null,
                "psp_reference": null,
                "poiid": null,
                "sale_id": null,
                "card_no": null,
                "receipt": 3,
                "method": 1
            }
        ]
    },
    {
        "id": 4,
        "document_id": "17",
        "mode": 1,
        "state": 1,
        "start_time": "2025-08-20T11:51:49.995287+03:00",
        "print_time": "2025-08-20T11:51:55.213644+03:00",
        "neto_amount": 4.96,
        "bruto_amount": 6,
        "changed_amount": 0,
        "tax_amount": 1.04,
        "discount": 0,
        "discount_type": null,
        "discount_amount": 0,
        "station": 1,
        "station_name": "POS1",
        "station_pos_id": "1",
        "cashier": null,
        "z_number": 2,
        "rows": [
            {
                "id": 4,
                "product": null,
                "product_id": null,
                "product_name": "Prece 1",
                "product_code": "1",
                "barcode": null,
                "category_name": "Preces",
                "price": 1,
                "tax_rate": 21,
                "discount": 0,
                "discount_type": null,
                "discount_amount": 0,
                "quantity": 6,
                "amount": 6,
                "max_quantity": 6,
                "max_amount": 6,
                "receipt": 4,
                "category": 1,
                "tax": 0
            }
        ],
        "payments": [
            {
                "id": 4,
                "method_name": "Skaidrā nauda",
                "method_code": 0,
                "amount": 6,
                "request_id": null,
                "transaction_id": null,
                "psp_reference": null,
                "poiid": null,
                "sale_id": null,
                "card_no": null,
                "receipt": 4,
                "method": 1
            }
        ]
    }
]
Modified atĀ 2026-04-15 12:52:15
Previous
GET shifts
Built with